import {AsyncPipe, JsonPipe} from '@angular/common';
import {Component, OnInit} from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { EmployeeControllerService, FindAll1Response } from '@core/ems/index';
import { Observable } from 'rxjs';

@Component({
    selector: 'app-root',
    imports: [RouterOutlet, JsonPipe, AsyncPipe],
    templateUrl: './app.component.html',
    styleUrl: './app.component.scss'
})
export class AppComponent{
    title = 'EMS';
    readonly $employees: Observable<FindAll1Response>;

    constructor(private apiClient: EmployeeControllerService) {
        this.$employees = this.apiClient.findAll1();
    }
}
